/*
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 */

package vkc.view.bean;

public class UserStatistics {

    private Integer userId = null;
    private int  	numPublishedDocuments = 0;
    private int  	numCreatedCategories = 0;

    public int getNumCreatedCategories() {
        return numCreatedCategories;
    }
    public void setNumCreatedCategories(int numCreatedCategories) {
        this.numCreatedCategories = numCreatedCategories;
    }

    public int getNumPublishedDocuments() {
        return numPublishedDocuments;
    }
    public void setNumPublishedDocuments(int numPublishedDocuments) {
        this.numPublishedDocuments = numPublishedDocuments;
    }
    public String getFormattedNumPublishedDocuments() {
        return numPublishedDocuments == 0 
			? "-"
			: "" + numPublishedDocuments;
    }

    public Integer getUserId() {
        return userId;
    }
    public void setUserId(Integer userId) {
        this.userId = userId;
    }
}
